package net.projectmonkey.object.mapper.context;

import net.projectmonkey.object.mapper.annotations.group.GroupBehaviour;

/*
 *
 *  * Copyright 2012 the original author or authors.
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      http://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

/**
 * @author Andy Moody
 *
 * The default conversion group.
 * This includes all properties in the source object
 * which will be populated into the destination according
 * to the provided {@link org.projectmonkey.spi.matching.MatchingStrategy}
 */
@GroupBehaviour(inclusive = true)
public class Default
{
}
